/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.annotatedlineeditor;


/**
 * Every line in a <code>LineSelectionViewer</code> has an object associated with it. Classes
 * implementing this interface retrieve a line's object.
 *
 * @author p.ciardelli
 * @created 03.07.2009
 * @version 1.0
 */
public interface ILineSelectionSource {
	
	/**
	 * <p>getSelectedObjectAtLine</p>
	 *
	 * @param line a int.
	 * @return a {@link java.lang.Object} object.
	 */
	Object getSelectedObjectAtLine(int line);
}
