/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.annotatedlineeditor;

import org.apache.log4j.Logger;
import org.eclipse.jface.text.source.Annotation;
import org.eclipse.jface.text.source.IAnnotationModel;
import org.eclipse.jface.text.source.ISourceViewer;

/**
 * <p>LineSelectionSource class.</p>
 *
 * @author p.ciardelli
 * @created 03.07.2009
 * @version 1.0
 */
public class LineSelectionSource implements ILineSelectionSource {
	@SuppressWarnings("unused")
	private static final Logger logger = Logger
			.getLogger(LineSelectionSource.class);

	private ISourceViewer viewer;

	/**
	 * <p>Constructor for LineSelectionSource.</p>
	 *
	 * @param viewer a {@link org.eclipse.jface.text.source.ISourceViewer} object.
	 */
	public LineSelectionSource(ISourceViewer viewer) {
		this.viewer = viewer;
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.bulkeditor.ILineSelectionSource#getSelectedObjectAtLine(int)
	 */
	/** {@inheritDoc} */
	public Object getSelectedObjectAtLine(int line) {
		IAnnotationModel model = viewer.getAnnotationModel();
		if (model instanceof LineAnnotationModel) {
			Annotation annotation = ((LineAnnotationModel) model).
										getAnnotationAtLine(line, viewer.getDocument());
			if (annotation != null) { 
				return ((LineAnnotation) annotation).getEntity();//getPropertySource();
			}
		}
		return null;
	}
}
