/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.annotatedlineeditor.handler;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.jface.text.TextSelection;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.ui.IEditorPart;
import org.eclipse.ui.handlers.HandlerUtil;

import eu.etaxonomy.taxeditor.annotatedlineeditor.AnnotatedLineEditor;

/**
 * <p>DeleteObjectHandler class.</p>
 *
 * @author p.ciardelli
 * @created 25.06.2009
 * @version 1.0
 */
public class DeleteObjectHandler extends AbstractHandler {

	/* (non-Javadoc)
	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
	 */
	/** {@inheritDoc} */
	public Object execute(ExecutionEvent event) throws ExecutionException {
				
		IEditorPart editor = HandlerUtil.getActiveEditor(event);
		
		if (editor instanceof AnnotatedLineEditor) {
						
			ISelection selection = HandlerUtil.getCurrentSelection(event);
			if (selection instanceof TextSelection) {
				
				// Get current line
				int line = ((TextSelection) selection).getStartLine();
				
				((AnnotatedLineEditor) editor).removeAnnotatedLine(line);
			}
		}		
		return null;
	}
}
