/**
* Copyright (C) 2015 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.bulkeditor.command;

import org.eclipse.core.expressions.PropertyTester;
import org.eclipse.jface.viewers.IStructuredSelection;

import eu.etaxonomy.cdm.model.agent.Person;
import eu.etaxonomy.cdm.model.agent.Team;

/**
 * @author k.luther
 * @date 13.05.2015
 *
 */
public class BulkEditorMenuPropertyTester extends PropertyTester {


	private static final String IS_TEAM = "isTeam";
	private static final String IS_PERSON = "isPerson";
	
	public BulkEditorMenuPropertyTester(){
	}
	/**
	 * {@inheritDoc}
	 */
	@Override
	public boolean test(Object receiver, String property, Object[] args,
			Object expectedValue) {
		if(receiver instanceof IStructuredSelection){
			IStructuredSelection selection = (IStructuredSelection) receiver;
			Object selectedElement = selection.getFirstElement();
			if (property.equals(IS_PERSON) && selectedElement instanceof Person){
				return true;
			} 
			if (property.equals(IS_TEAM) && selectedElement instanceof Team){
				return true;
			}
			return false;
		
		}
		return false;
	}

}
