package eu.etaxonomy.taxeditor.bulkeditor.command;

import org.eclipse.core.expressions.PropertyTester;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.viewers.TreeNode;

import eu.etaxonomy.cdm.persistence.dto.UuidAndTitleCache;
import eu.etaxonomy.taxeditor.bulkeditor.input.BulkEditorInputType;

public class BulkEditorSelectionPropertyTester extends PropertyTester {

    public static final String IS_BULK_EDITOR_SUPPORTED = "isBulkEditorSupported";

	@Override
	public boolean test(Object receiver, String property, Object[] args,
			Object expectedValue) {
		if(IS_BULK_EDITOR_SUPPORTED.equals(property)){
			if(receiver instanceof IStructuredSelection){
				IStructuredSelection selection = (IStructuredSelection) receiver;
				Object selectedElement = selection.getFirstElement();
				if(selectedElement!=null){
				    if(selectedElement instanceof UuidAndTitleCache){
				        return BulkEditorInputType.getByType(((UuidAndTitleCache) selectedElement).getType())!=null;
				    }
				    else if(selectedElement instanceof TreeNode){
				        System.out.println(BulkEditorInputType.getByType(((TreeNode) selectedElement).getValue().getClass())!=null);
				        return BulkEditorInputType.getByType(((TreeNode) selectedElement).getValue().getClass())!=null;
				    }
					return BulkEditorInputType.getByType(selectedElement.getClass())!=null;
				}
			}
		}
		return false;
	}

}
