/**
 * Copyright (C) 2007 EDIT
 * European Distributed Institute of Taxonomy
 * http://www.e-taxonomy.eu
 *
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */

package eu.etaxonomy.taxeditor.bulkeditor.command;

import java.util.ArrayList;
import java.util.List;

import org.eclipse.jface.action.IContributionItem;
import org.eclipse.jface.action.Separator;
import org.eclipse.ui.actions.CompoundContributionItem;

import eu.etaxonomy.taxeditor.bulkeditor.input.BulkEditorInputType;

/**
 *
 * @author p.ciardelli
 * @created 19.08.2009
 * @version 1.0
 */
public class OpenBulkEditorContributionItem extends CompoundContributionItem {

    public OpenBulkEditorContributionItem() {
    }

    public OpenBulkEditorContributionItem(String id) {
        super(id);
    }

    /** {@inheritDoc} */
    @Override
    protected IContributionItem[] getContributionItems() {

        List<IContributionItem> contributionItems = new ArrayList<IContributionItem>();

        contributionItems.add(BulkEditorInputType.AGENT.createContributionItem());
        contributionItems.add(BulkEditorInputType.REFERENCE.createContributionItem());
        String groupName = "test";
        contributionItems.add(new Separator(groupName));
        contributionItems.add(BulkEditorInputType.NAME.createContributionItem());
        contributionItems.add(BulkEditorInputType.TAXON.createContributionItem());
        contributionItems.add(new Separator(groupName));
        contributionItems.add(BulkEditorInputType.MEDIA.createContributionItem());
        contributionItems.add(new Separator(groupName));
        contributionItems.add(BulkEditorInputType.OCCURRENCE.createContributionItem());
        return contributionItems.toArray(new IContributionItem[contributionItems.size()]);
    }

}
