package eu.etaxonomy.taxeditor.bulkeditor.handler.defaultHandler;

import java.util.UUID;

import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.ui.PartInitException;

import eu.etaxonomy.cdm.model.common.IdentifiableEntity;
import eu.etaxonomy.taxeditor.bulkeditor.BulkEditorUtil;
import eu.etaxonomy.taxeditor.handler.defaultHandler.DefaultOpenHandlerBase;
import eu.etaxonomy.taxeditor.model.MessagingUtils;
import eu.etaxonomy.taxeditor.store.CdmStore;

public class OpenBulkEditorForIdentifiableEntity extends DefaultOpenHandlerBase<IdentifiableEntity> {

	@Override
	protected IdentifiableEntity getEntity(UUID uuid) {
		return CdmStore.getCommonService().find(IdentifiableEntity.class, uuid);
	}

	@Override
	protected void open(ExecutionEvent event, IdentifiableEntity entity) {
		try {
			BulkEditorUtil.openEditor(entity);
		} catch (PartInitException e) {
            MessagingUtils.error(this.getClass(), "Bulk Editor could not be opened for "+entity, e);
		}
	}


}
