/**
* Copyright (C) 2016 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.bulkeditor.input.entitycreator;

import java.util.HashMap;
import java.util.Map;

import eu.etaxonomy.cdm.model.media.Media;
import eu.etaxonomy.taxeditor.annotatedlineeditor.IEntityCreator;

/**
 * @author k.luther
 * @date 10.03.2016
 *
 */
public class MediaCreator implements IEntityCreator<Media> {

    /**
     * {@inheritDoc}
     */
    @Override
    public Media createEntity(String text) {
        Media result = Media.NewInstance();
        result.setTitleCache(text);
        return result;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Media createEntity(Object key, String text) {
        if (key.equals(Media.class)){
            Media result = Media.NewInstance();
            result.setTitleCache(text);
            return result;
        }
        return null;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Map<Object, String> getKeyLabelPairs() {
        Map<Object, String> result = new HashMap<Object, String>();
       result.put(Media.class, "Media");
        return result;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public boolean savesEntity() {
        // TODO Auto-generated method stub
        return false;
    }

}
