/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.bulkeditor.input.sortprovider;

import org.joda.time.DateTime;

import eu.etaxonomy.cdm.model.common.ICdmBase;

/**
 * @author n.hoffmann
 * @created Dec 14, 2010
 * @version 1.0
 */
public class CdmBaseSortProvider<T extends ICdmBase> extends AbstractSortProvider<T> {

	/**
	 * 
	 */
	public CdmBaseSortProvider() {
		comparators.put("Created When", new CreatedDateComparator());
	}
	
	private class CreatedDateComparator extends AbstractDateComparator<T>{

		/* (non-Javadoc)
		 * @see eu.etaxonomy.taxeditor.bulkeditor.input.sortprovider.AbstractDateComparator#getDate(eu.etaxonomy.cdm.model.common.ICdmBase)
		 */
		@Override
		protected DateTime getDate(T object) {
			return object.getCreated();
		}
		
	}
}
