/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.bulkeditor.referencingobjects;

import java.util.Collection;

import org.apache.log4j.Logger;
import org.eclipse.jface.viewers.IStructuredContentProvider;
import org.eclipse.jface.viewers.Viewer;

/**
 * <p>ReferencingObjectsContentProvider class.</p>
 *
 * @author p.ciardelli
 * @created 09.07.2009
 * @version 1.0
 */
public class ReferencingObjectsContentProvider implements
		IStructuredContentProvider {
	@SuppressWarnings("unused")
    private static final Logger logger = Logger
			.getLogger(ReferencingObjectsContentProvider.class);

	/** {@inheritDoc} */
	@Override
    public Object[] getElements(Object inputElement) {
		if (inputElement instanceof Collection) {
			return ((Collection<?>) inputElement).toArray();
		}
		return new Object[0];
	}

	/**
	 * <p>dispose</p>
	 */
	@Override
    public void dispose() {}

	/** {@inheritDoc} */
	@Override
    public void inputChanged(Viewer viewer, Object oldInput, Object newInput) {}
}
